#include <MIDI.h> 
MIDI_CREATE_DEFAULT_INSTANCE();

//analog Arduino's inputs
const int Pad1 = A0;
const int Pad2 = A1;
const int Pad3 = A2;
const int Pad4 = A3;
const int Pad5 = A4;
const int Pad6 = A5;

const int volumeThreshold = 350;


int Drum1_val = 0;
int Drum2_val = 0;
int Drum3_val = 0;
int Drum4_val = 0;
int Drum5_val = 0;
int Drum6_val = 0;


byte note1 = 38; //SNARE
byte note2 = 48; //TOM HI
byte note3 = 49; //Crash
byte note4 = 41; //TOM LOw
byte note5 = 36;  //kick
byte note6 = 42; //HiHatClosed


void setup()
{
  MIDI.begin(4);
  Serial.begin(115200); 
}

void loop()
{ 
 
  
  /*1st pad*/
  if(analogRead(Pad1) >= volumeThreshold)
  {

    Drum1_val= analogRead(Pad1);
    int velocity = Drum1_val;

    MIDI.sendNoteOn(note1, velocity, 1);
    MIDI.sendNoteOff(note1, 0, 1);

  }

  /*2nd pad*/
 
  if(analogRead(Pad2) >= volumeThreshold)
  {
   Drum2_val= analogRead(Pad2);
   int velocity = Drum2_val;
      
    MIDI.sendNoteOn(note2, velocity, 1);
    MIDI.sendNoteOff(note2, 0, 1);
  }

  /*3rd pad*/

  if(analogRead(Pad3) >= volumeThreshold)
  {
   Drum3_val= analogRead(Pad3);
   int velocity = Drum3_val;
      
    MIDI.sendNoteOn(note3, velocity, 1);
    MIDI.sendNoteOff(note3, 0, 1);
  }

  /*4th pad*/
  if(analogRead(Pad4) >= (volumeThreshold-200))
  {
   Drum4_val= analogRead(Pad4);
   int velocity = Drum4_val;
      
    MIDI.sendNoteOn(note4, velocity, 1);
    MIDI.sendNoteOff(note4, 0, 1);
  }

  /*5th pad*/
  if(analogRead(Pad5) >= volumeThreshold)
  {
   Drum5_val= analogRead(Pad5);
   int velocity = Drum5_val;
   
    MIDI.sendNoteOn(note5, velocity, 1);
    MIDI.sendNoteOff(note5, 0, 1);
  }
    /*1st pad*/
  if(analogRead(Pad6) >= (volumeThreshold-250))
  {

    Drum6_val= analogRead(Pad6);
    int velocity = Drum1_val;

    MIDI.sendNoteOn(note6, velocity, 1);
    MIDI.sendNoteOff(note6, 0, 1);

  }
}
